An entry containing information applicable to a particular devices.
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.21796.5.1.2.1
An entry containing information applicable to a particular devices.
Identification
{1 3 6 1 4 1 21796 5 1 2 1}
Definitions may combine these properties differently.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Available source records contain 2 distinct definitions; some records may not include a definition.
devEntry OBJECT-TYPE
SYNTAX DevEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"An entry containing information applicable to a particular devices."
INDEX { devIndex }
::= { devTable 1 }meterEntry OBJECT-TYPE
SYNTAX MeterEntry
ACCESS not-accessible
STATUS mandatory
INDEX { meterID }
::= { meterTable 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
An entry containing information applicable to a particular devices.
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: devEntry
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"devEntry",
"OBJECT-TYPE",
"SYNTAX",
"DevEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"An entry containing information applicable to a particular devices.\"",
"INDEX",
"{",
"devIndex",
"}",
"::=",
"{",
"devTable",
"1",
"}"
],
"syntax_tree": [
[
"row",
"DevEntry"
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"An entry containing information applicable to a particular devices."
],
null,
null,
[
"INDEX",
[
[
0,
"devIndex"
]
]
],
null
]
}Vendor MIB copy from the Observium Community archive.
Module: SD-PORTAL-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'Gauge']}Related source files and packages:
Status in source: mandatory.
Names: meterEntry
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"meterEntry",
"OBJECT-TYPE",
"SYNTAX",
"MeterEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"INDEX",
"{",
"meterID",
"}",
"::=",
"{",
"meterTable",
"1",
"}"
],
"syntax_tree": [
[
"row",
"MeterEntry"
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
null,
null,
null,
[
"INDEX",
[
[
0,
"meterID"
]
]
],
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: Perseus-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'TimeTicks'], 'RFC1213-MIB': ['sysName']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.21796.5.1.2.1.1 | meterID, devIndex | 0 | 0 | |
| 1.3.6.1.4.1.21796.5.1.2.1.2 | meterName, devId | 0 | 0 | |
| 1.3.6.1.4.1.21796.5.1.2.1.3 | meterState, devHW | 0 | 0 | |
| 1.3.6.1.4.1.21796.5.1.2.1.4 | meterEnable, devName | 0 | 0 | |
| 1.3.6.1.4.1.21796.5.1.2.1.5 | meterType, devAlias | 0 | 0 | |
| 1.3.6.1.4.1.21796.5.1.2.1.6 | meterPortID, devType | 0 | 0 | |
| 1.3.6.1.4.1.21796.5.1.2.1.7 | meterPeriod, devState | 0 | 0 | |
| 1.3.6.1.4.1.21796.5.1.2.1.8 | devDescription | 0 | 0 | |
| 1.3.6.1.4.1.21796.5.1.2.1.9 | devLastRead | 0 | 0 |